# ssteward: see not below regarding USE_LIBGCJ_SUPPLEMENT
#%{?rh7:%define _without_gcj3 1}
#%{?el2:%define _without_gcj3 1}

Summary: PDFtk, The PDF Toolkit
Name: pdftk
Version: 2.02
Release: 1%{?dist}
License: GPL
Group: Applications/Publishing
URL: http://www.pdftk.com

Packager: Sid Steward
Vendor: Steward and Lee, LLC, http://www.pdflabs.com

Source: http://www.pdflabs.com/tools/pdftk-the-pdf-toolkit/pdftk-%{version}-src.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc
BuildRequires: gcc-java
BuildRequires: libgcj
BuildRequires: libgcj-devel
BuildRequires: gcc-c++
#Requires: jre-gcj
Requires: libstdc++ libgcj

%description
If PDF is electronic paper, then pdftk is an electronic staple-remover,
hole-punch, binder, secret-decoder-ring, and X-Ray-glasses. Pdftk is a simple
tool for doing everyday things with PDF documents. Use it to:

   * Merge PDF Documents or Collate PDF Page Scans
   * Split PDF Pages into a New Document
   * Rotate PDF Documents or Pages
   * Decrypt Input as Necessary (Password Required)
   * Encrypt Output as Desired
   * Fill PDF Forms with X/FDF Data and/or Flatten Forms
   * Generate FDF Data Stencils from PDF Forms
   * Apply a Background Watermark or a Foreground Stamp
   * Report PDF Metrics, Bookmarks and Metadata
   * Add/Update PDF Bookmarks or Metadata
   * Attach Files to PDF Pages or the PDF Document
   * Unpack PDF Attachments
   * Burst a PDF Document into Single Pages
   * Uncompress and Re-Compress Page Streams
   * Repair Corrupted PDF (Where Possible)

%prep
%setup -n %{name}-%{version}-dist

%build
export -n CLASSPATH
# ssteward: in 2.02 we set USE_LIBGCJ_SUPPLEMENT=1 in Makefile.* 
# for older versions of gcj so I commented these (now broken) bits:
#%{!?_without_gcj3:%{__perl} -pi -e 's|-I"\$\(java_libs_root\)"|--classpath="\$(java_libs_root)"|' java_libs/Makefile}
#%{?_without_gcj3:%{__perl} -pi -e 's|--encoding=UTF-8||' java_libs/Makefile}
%{__make} -C pdftk -f Makefile.Redhat

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 pdftk/pdftk %{buildroot}%{_bindir}/pdftk
%{__install} -Dp -m644 pdftk.1 %{buildroot}%{_mandir}/man1/pdftk.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc changelog* pdftk.1.html pdftk.1.txt
%doc license_gpl_pdftk/*
%doc %{_mandir}/man1/pdftk.1*
%{_bindir}/pdftk

%changelog
* Fri Jan 17 2014 Sid Steward <ssteward@accesspdf.com> - 2.02-1
- Updated to release 2.02.
- Removed patch since related source file has been removed
- Changed jre-gcj dependency to libgcj

* Tue Apr 05 2011 Steve Huff <shuff@vecna.org> - 1.44-2
- Added dependency on jre-gcj (thanks, Olaf Mueller!)

* Wed Mar 23 2011 Steve Huff <shuff@vecna.org> - 1.44-1
- Updated to release 1.44.

* Fri Nov 23 2007 Dag Wieers <dag@wieers.com> - 1.41-1
- Updated to release 1.41.

* Fri Sep 28 2007 Dag Wieers <dag@wieers.com> - 1.12-1
- Added cj4 patch for RHEL5. (Les Bell)

* Tue Oct 03 2006 Dag Wieers <dag@wieers.com> - 1.12-1
- Initial package. (using DAR)
